Subject: bug#51606: 29.0.50; [PATCH] Show offscreen context with properties

From: Daniel Martín <[email-masked]>
Date: Fri, 26 Nov 2021 20:01:28 +0100

Eli Zaretskii <[email-masked]> writes:

>> >
>> > Why do we remove the properties in the first place?  Daniel, any
>> > special reasons?
>> 
>> No reason other than being cautious and "follow the traditional behavior
>> of blink-matching-open".  The code that I extracted from
>> blink-matching-open to reuse it for show-paren-mode removed the text
>> properties (see
>> https://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/simple.el?h=emacs-28#n8608).
>> If I'm not mistaken, this was apparently introduced in 2005 by Richard
>> Stallman
>> (https://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-28&id=1d0e3fc84f058248515f242c0484a0dabfac95aa),
>> but I don't know the reasons for the change.  Perhaps it didn't look
>> good on some TTY frames?
>
> I'd be surprised.
>
> Richard, do you remember why you removed text properties from the
> blink-matching-open text it shows in the echo-area?

BTW, the patch looks good to me.  But if keeping the text properties is
not a problem, I'd do that unconditionally, without adding another
customization option.  WDYT?